Ask Your Question
0

Skype rpm build error

asked 2015-04-04 07:20:37 -0500

dcpust gravatar image

updated 2015-04-05 04:06:15 -0500

Dear Fellow Fedorars,

Though this is a broadly discussed topic, I must add to it with a problem I encountered installing Skype on F20. I used the manual of Sava that you can find here

All went well until I reached step 5 of the instruction: Building the rpm leads to an error that I cannot overcome. The error message is:

error: Bad exit status from /var/tmp/rpm-tmp.4CA3ud (%install)

RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.4CA3ud (%install)

I would be grateful, if you could help me.

edit retag flag offensive close merge delete

Comments

I have no problem with installing Skype. Download the file and yum local install it. What's wrong there?

abadrinath gravatar imageabadrinath ( 2015-04-04 21:18:00 -0500 )edit
1

Also fedy tool will help you install skype with no problem

lnxslck gravatar imagelnxslck ( 2015-04-05 05:47:04 -0500 )edit

Thanks for the hint. I did not know fedy. But Skype is running now and the installaltion could not have been easier.

dcpust gravatar imagedcpust ( 2015-04-05 06:18:00 -0500 )edit

4 Answers

Sort by » oldest newest most voted
1

answered 2015-04-05 06:22:43 -0500

dcpust gravatar image

updated 2015-04-05 06:23:30 -0500

Thanks to Inxsick, Skype is finally running now! The solution was simple. With the help of "Fedy Tool", Skype could be installed easily without hands getting dirty. For those who want to try, this is how to install this little helper. Enter in your terminal:

$ su -c "curl https://satya164.github.io/fedy/fedy-installer -o fedy-installer && chmod +x fedy-installer && ./fedy-installer"

That's it.

PS: Thanks to all who also helped to fix this problem.

edit flag offensive delete link more

Comments

1

Want to know more about "Fedy": Follow this reference to another post.

dcpust gravatar imagedcpust ( 2015-04-05 06:27:20 -0500 )edit
2

answered 2015-04-04 17:33:07 -0500

deusdara gravatar image

Hi

Install Skype on Fedora through rpmfusion repositories

#yum install lpf-skype

with you user :

lpf-gui
edit flag offensive delete link more

Comments

This leads to another error:

Error: must be run as pkg-build user.
dcpust gravatar imagedcpust ( 2015-04-05 04:04:52 -0500 )edit
0

answered 2015-05-21 09:34:56 -0500

sergiomb gravatar image

updated 2016-01-24 21:59:54 -0500

I updated all instructions here : https://ask.fedoraproject.org/en/ques...

ORIGINAL: yours id , have to be in pkg-build group, type:

id

(...) groups=(...),18(dialout),436(pkg-build),455(vboxusers),464(mock)

UPDATE: after run first time , lpf-gui will ask if could add running user to pkg-build , after say yes , and give root password , your use is added to the group , but you need logout and login (at least in KDE) , to user assume that is in pkg-build group.

BTW for F22 you could install it with :

as root:

dnf install http://download1.rpmfusion.org/nonfree/fedora/development/22/i386/os/lpf-skype-4.3.0.37-2.fc22.i686.rpm

as local user:

lpf-gui
edit flag offensive delete link more
0

answered 2016-01-25 09:01:20 -0500

Aeyoun gravatar image

As an alternative to installing Skype—which can be heavy on resources—I suggest you use Skype for Web instead. That way you don’t install privileged proprietary software directly onto your system but you can still access Skype services from your browser.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2015-04-04 07:20:37 -0500

Seen: 4,607 times

Last updated: Jan 25 '16